$(function() {
    $.getScript('/static/imio/common.js', function() {
    });

    $.getScript('/static/imio/dtp.js', function() {
    });

    // General method to get elements thanks to regex !
    // sample : $('div:regex(class,jqTable[0-9]_.*)'); */
    $.expr[':'].regex = function(elem, index, match) {
        var matchParams = match[3].split(','),
            validLabels = /^(data|css):/,
            attr = {
                method: matchParams[0].match(validLabels) ?
                        matchParams[0].split(':')[0] : 'attr',
                        property: matchParams.shift().replace(validLabels,'')
            },
            regexFlags = 'ig',
            regex = new RegExp(matchParams.join('').replace(/^s+|s+$/g,''), regexFlags);
            return regex.test(jQuery(elem)[attr.method](attr.property));
    }
    // End of General method to get elements thanks to regex!
function escapeRegExp(text) {
	  return text.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, '\\$&');
}
    var $items = $("div.calendrier ul li");
    $.getScript( "/static/imio/calendar.js" )
	  .done(function( script, textStatus ) {
                      var d = new Date();
                      var dm = d.getMonth() + 2;
                      var dan = d.getYear();
                      if(dan < 999) dan+=1900;
                      var $calendar= calendrier( dm,dan );
		      $( 'div.calendrier' ).append( $calendar );
		      // $( 'div.calendrier' ).css("display","none");
		      console.log( textStatus );
		      $items.each(function() {
                              var span = ("span", $(this)).html();
			      span = span.replace(/;/g,"<br>");
			      span = span.replace(/\[/g,"<b style='white-space:nowrap;background-color:transparent;display:inline-block;margin-left:-10px'>");
			      span = span.replace(/\]/g,"</b>");
			      $(this).html(span)
			      $(this).css("display","block");
			      var $input = $("input", this);
			      var allow_mult = $input.attr('id').indexOf('mult');
			      // if we don't find mult in id so we can select only ONE item per date.
			      if (allow_mult == -1) {
				  if ($input.prop('checked') == true) {
				      // set background-color if they are already checked items
	                              $(this).css( "background-color", "#def6db" );
				  }
			          $input.bind('click',{test:$(this)}, click_input);
			      }
		              var item_date = $input.attr("id").split('_')[2];
			      $("table.calendrier td[td_date='"+item_date+"']").append($(this));
			      if ($input.attr("id").indexOf("exception") != -1) {
				   $(this).css({'color':'red',
				                'margin-top':'0.5em',
				                'text-align':'center'});
			           $input.remove();
		              }
		          });
		    })
	  .fail(function( jqxhr, settings, exception ) {
		      $( "div.log" ).text( "Triggered ajaxError handler." );
	  });

    var click_input = function(event) {
        var str_date = $(this).attr('name').split('_')[1];
	var $inputs = ('input', $items).find(':regex(name,.*'+str_date+'.*)');
	$inputs.each(function() {
	    $(this).prop( "checked", false );
	    $(this).closest( "li" ).css( "background-color", "transparent" );
	});
	$(this).prop( "checked", true );
	$(this).closest( "li" ).css( "background-color", "#def6db" );
    }
}); /* end */
